Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene
Class FluxJOCLScene

    java.lang.Object
      de.grogra.gpuflux.scene.FluxJOCLScene

    public class FluxJOCLScene

extends java.lang.Object

Constructor Summary
`FluxJOCLScene(FluxSceneSerializer serializer, ComputeContext computeContext)`

Method Summary
`void` | `setKernelArgBounds(Device device, Kernel kernel, int offset)`
`void` | `setKernelArgCamera(Device device, Kernel kernel, int offset)`
`void` | `setKernelArgDetectors(Device device, Kernel kernel, int offset)`
`void` | `setKernelArgScene(Device device, Kernel kernel, int offset)`
`void` | `setKernelArgSensors(Device device, Kernel kernel, int offset)`
`void` | `setupOCLBounds()`
`void` | `setupOCLCamera(int width, int height)`
`void` | `setupOCLDetectors()`
`void` | `setupOCLLights()`
`void` | `setupOCLScene(boolean useBIH)`
`void` | `setupOCLSensors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxJOCLScene

    public FluxJOCLScene(FluxSceneSerializer serializer,
                         ComputeContext computeContext)

Method Detail

### setKernelArgBounds

    public void setKernelArgBounds(Device device,
                                   Kernel kernel,
                                   int offset)

### setKernelArgCamera

    public void setKernelArgCamera(Device device,
                                   Kernel kernel,
                                   int offset)

### setKernelArgDetectors

    public void setKernelArgDetectors(Device device,
                                      Kernel kernel,
                                      int offset)

### setKernelArgScene

    public void setKernelArgScene(Device device,
                                  Kernel kernel,
                                  int offset)

### setKernelArgSensors

    public void setKernelArgSensors(Device device,
                                    Kernel kernel,
                                    int offset)

### setupOCLBounds

    public void setupOCLBounds()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setupOCLCamera

    public void setupOCLCamera(int width,
                               int height)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setupOCLDetectors

    public void setupOCLDetectors()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### setupOCLLights

    public void setupOCLLights()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setupOCLScene

    public void setupOCLScene(boolean useBIH)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setupOCLSensors

    public void setupOCLSensors()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD